/*
File: FinishMessage.java
Date		Author		Changes
Aug 22 96	Lukasz Beca	Created
*/

package webwisdom.tango.messages;

import webwisdom.tango.messages.Message;
import webwisdom.tango.consts.Const;
import java.io.*;



/**
 * A class representing FINISH message
 * 
 *@author Lukasz Beca
 *@see Central Server - Local Demon protocol
 **/


public class FinishMessage extends Message {
  
  private int AID;


  /**
   * Creates a new FINISH message
   *@param AIDparam application number
   **/
  
  public FinishMessage(int AIDparam) {
    
    AID = AIDparam;
    type = Const.FINISH;
  }

  /**
   * Creates a new FINISH message, information is read from the input stream
   *@param instream  input stream
   **/


  FinishMessage(DataInputStream instream) throws IOException {
    
    
    AID = instream.readInt();     
    
    type = Const.FINISH;
    
  }

   /**
   * Writes FINISH message to the output stream
   *@param outstream  output stream
   **/

  void send(DataOutputStream outstream)  throws IOException{
  
    
    //System.out.println("Sending type " + Const.FINISH);
    outstream.writeInt(Const.FINISH);
    //System.out.println("Sending AID " + AID);
    outstream.writeInt(AID);     
    outstream.flush();
  
  }
  
   /**
   * Returns application number
   **/
  public int getAID() {
       
    return AID;

  }   

}


